Get all relations by record Id

http
GET https://services.leadconnectorhq.com/associations/relations/{recordId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
recordIdstringYes

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesclF1LD04GTUKN3b3XuOjYour Sub Account's ID
skipnumberYes10
limitnumberYes100
associationIdsstring[]NoAssociation Ids

Responses

200 - Successful response
  • locationId (string, required): Example: string

  • id (string, required): Example: ve9EPM428h8vShlRW1KT

  • key (string, required): First Objects Association Label (custom_objects.children) Example: student

  • firstObjectLabel (object, required): First Objects Association Label (custom_objects.children) Example: student

  • firstObjectKey (object, required): First Objects Key Example: custom_objects.children

  • secondObjectLabel (object, required): Second Object Association Label (contact) Example: Teacher

  • secondObjectKey (object, required): Second Objects Key Example: contact

  • associationType (object, required): Association Type can be USER_DEFINED or SYSTEM_DEFINED Example: USER_DEFINED

json
{
  "locationId": "string",
  "id": "ve9EPM428h8vShlRW1KT",
  "key": "student",
  "firstObjectLabel": "student",
  "firstObjectKey": "custom_objects.children",
  "secondObjectLabel": "Teacher",
  "secondObjectKey": "contact",
  "associationType": "USER_DEFINED"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/associations/relations/YOUR_recordId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?